# TODO
# - zsh completions subpackage
# - emacs subpackage
#
# Conditional build:
%bcond_with	bootstrap		# do bootstrap build
%bcond_without	doc			# don't build doc

Summary:	A small build system with a focus on speed
Name:		ninja
Version:	1.5.1
Release:	1
License:	Apache v2.0
Group:		Development/Tools
Source0:	https://github.com/martine/ninja/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	59f4f1cf5d9bb0d7877a6d5a5afd770a
Patch0:		LFS.patch
URL:		http://martine.github.com/ninja/
%{?with_doc:BuildRequires:	asciidoc}
BuildRequires:	libstdc++-devel
%{!?with_bootstrap:BuildRequires:	ninja}
BuildRequires:	rpmbuild(macros) >= 1.673
Obsoletes:	ninja-build < 1.0.0-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ninja is a small build system with a focus on speed. It differs from
other build systems in two major respects: it is designed to have its
input files generated by a higher-level build system, and it is
designed to run builds as fast as possible.

%package -n bash-completion-%{name}
Summary:	bash-completion for %{name}
Group:		Applications/Shells
Requires:	%{name}
Requires:	bash-completion >= 2.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n bash-completion-%{name}
bash-completion for %{name}.

%package doc
Summary:	Manual for %{name}
Summary(fr.UTF-8):	Documentation pour %{name}
Summary(it.UTF-8):	Documentazione di %{name}
Summary(pl.UTF-8):	Podręcznik dla %{name}
Group:		Documentation
# noarch subpackages only when building with rpm5
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description doc
Documentation for %{name}.

%description doc -l fr.UTF-8
Documentation pour %{name}.

%description doc -l it.UTF-8
Documentazione di %{name}.

%description doc -l pl.UTF-8
Dokumentacja do %{name}.

%prep
%setup -q
%patch0 -p1

%build
export CXX="%{__cxx}"
export CFLAGS="%{rpmcflags}"

%if %{with bootstrap}
./bootstrap.py --verbose -- --debug
export PATH=$(pwd):$PATH
%else
./configure.py
ninja -v
%endif

# build manual
%{?with_doc:ninja -v manual}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
# TODO: Install ninja_syntax.py?
install -p %{name} $RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{bash_compdir}
cp -p misc/bash-completion $RPM_BUILD_ROOT%{bash_compdir}/%{name}

%if 0
install -p -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
install -p misc/ninja-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/ninja-mode.el

install -p -d $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
install -p misc/zsh-completion $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/_ninja
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_bindir}/ninja

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/manual.html
%endif

%if 0
# emacs
%{_datadir}/emacs/site-lisp/ninja-mode.el

# zsh does not have a -filesystem package
%{_datadir}/zsh/
%endif
%changelog
* Sun Oct 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ninja.git;a=log;h=master

* Sun Oct 26 2014 Elan Ruusamäe <glen@delfi.ee> bee7ad7
- add LFS patch

* Sun Oct 26 2014 Elan Ruusamäe <glen@delfi.ee> 9c7fea3
- up to 1.5.1

* Thu Feb 27 2014 Elan Ruusamäe <glen@delfi.ee> d23c7b1
- up to 1.3.4

* Thu Feb 27 2014 Elan Ruusamäe <glen@delfi.ee> 6611eb9
- up to 1.3.0

* Sun Feb 23 2014 Elan Ruusamäe <glen@delfi.ee> 7c1a6dd
- drop vim package; ninja bundled with vim-rt

* Sun Feb 23 2014 Elan Ruusamäe <glen@delfi.ee> 3d5e99b
- vim syntax package

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> d433dd3
- doc subpackage and bcond

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> d090bae
- add bootstrap bcond

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> 81c99aa
- rpm macros for bashcomp dir

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> 27529f7
- renamed to ninja, add bash-completion package

* Sat Jun 08 2013 Elan Ruusamäe <glen@delfi.ee> 9ab004c
- new, version 1.0.0

